%{!?kernel: %{expand: %%define kernel %(uname -r)}}
%define kversion %(echo %{kernel} | sed -e s/smp// -)

%define kernel_ver_str %(echo %{kversion} | tr -s '-' '_')

%define kmajor %(echo %{kversion} | cut -d'-' -f1)
%define kminor %(echo %{kversion} | cut -d'-' -f2)
%if %(echo %{kernel} | grep -c smp)
        %{expand:%%define ksmp -smp}
%endif
%ifarch i686 
%define arch i686
%endif
%ifarch x86_64
%define arch x86_64
%endif
#define kconfig  /usr/src/linux-%(echo %{kernel})/configs/kernel-%{kmajor}-i686%{?ksmp}.config

%define mname madwifi
%define mversion 0.9.4.12
%define mrelease 2.PU_IAS.2WS

%define buildsmp 1

#%ifnarch i686 x86_64 athlon
#%define buildsmp 0
#%endif

Name: %{mname}
Version: %{mversion}
Release: %{mrelease}
License: Other
Source: %{name}-%{version}.tar.bz2
Patch1: madwifi.security.patch
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i686 x86_64
Group: System Environment
Summary: Madwifi drivers for atheros based wireless cards
BuildRequires: kernel-devel, sharutils

%description
** BUILT FOR PRIVATE PU_IAS USE, REDISTRIBUTION NOT ALLOWED **
        ** PU_IAS NOT RESPONSIBLE FOR REDISTRIBUTION **

Atheros wireless network driver

%package -n kernel-%{name}
Release: %{mrelease}_%{kernel_ver_str}
License: Other
Summary: Madwifi drivers for atheros based wireless cards
Group: System Environment
Requires: kernel = %{kversion}
Provides: kernel-module kernel-modules

%description -n kernel-%{name}
** BUILT FOR PRIVATE PU_IAS USE, REDISTRIBUTION NOT ALLOWED **
        ** PU_IAS NOT RESPONSIBLE FOR REDISTRIBUTION **
                                                                                                                             
Atheros wireless network driver

%package -n kernel-smp-%{name}
Release: %{mrelease}_%{kernel_ver_str}
License: Other
Summary: Madwifi drivers for atheros based wireless cards
Group: System Environment
Requires: kernel-smp = %{kversion}
Provides: kernel-module kernel-modules

%description -n kernel-smp-%{name}
** BUILT FOR PRIVATE PU_IAS USE, REDISTRIBUTION NOT ALLOWED **
        ** PU_IAS NOT RESPONSIBLE FOR REDISTRIBUTION **
                                                                                                                             
Atheros wireless network driver

%prep
%setup -q
%patch1 -p 1 -b .security

%build
%ifarch %x86
export TARGET=i386-elf
%endif
%ifarch x86_64 ia32e
export TARGET=x86_64-elf
%endif
export TOOLPREFIX=`which gcc|sed -e's,gcc$,,'`
echo %{kernel} - %{kmajor}
cp -ar /usr/src/kernels/%{kversion}-%{arch} .
cd %{kversion}-%{arch}
	perl -pi -e 's#%{kminor}custom#%{kminor}#' Makefile
	#make distclean >/dev/null
	#cp -f configs/kernel-%{kmajor}-%{_target_cpu}.config .config
	make oldconfig >/dev/null
	#make dep >/dev/null
cd ..
export KERNELRELEASE=%{kversion} KERNELPATH=`pwd`/%{kversion}-%{arch} KERNELVERSION=%{kversion}smp
make clean
make all
mkdir done-smp
make install DESTDIR=`pwd` MODULEPATH=done-smp
echo Building uniprocessor kernel
rm -rf %{kversion}-%{arch}
cp -ar /usr/src/kernels/%{kversion}-%{arch} .
cd %{kversion}-%{arch}
	perl -pi -e 's#%{kminor}custom#%{kminor}#' Makefile
	make oldconfig >/dev/null
		sed -e 's/CONFIG_SMP=.*/# CONFIG_SMP is not set/' -i .config
		sed -e 's/CONFIG_X86_SMP=.*/# CONFIG_X86_SMP is not set/' -i .config
		sed -e 's/CONFIG_HOTPLUG_PCI=.*/# CONFIG_HOTPLUG_PCI is not set/' -i .config
		sed -e 's/CONFIG_PROFILING=.*/# CONFIG_PROFILING is not set/' -i .config
		sed -e 's/CONFIG_OPROFILE=.*/# CONFIG_OPROFILE is not set/' -i .config
		sed -e 's/CONFIG_HIGHMEM64G=.*/# CONFIG_HIGHMEM64G is not set/' -i .config
	#make dep >/dev/null
cd ..
make clean
make all
mkdir done-up
make install DESTDIR=`pwd` MODULEPATH=done-up

%install
test -d $RPM_BUILD_ROOT/lib/modules/%{kversion}/kernel/drivers/net/wireless/madwifi    || mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}/kernel/drivers/net/wireless/madwifi
install -m 644 done-up/* $RPM_BUILD_ROOT/lib/modules/%{kversion}/kernel/drivers/net/wireless/madwifi
test -d $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/kernel/drivers/net/wireless/madwifi || mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/kernel/drivers/net/wireless/madwifi
install -m 644 done-smp/* $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/kernel/drivers/net/wireless/madwifi

%post -n kernel-%{name}
/sbin/depmod -ae

%post -n kernel-smp-%{name}
/sbin/depmod -ae

%clean
rm -rf $RPM_BUILD_ROOT

%files -n kernel-%{name}
%defattr(-,root,root)
%doc README COPYRIGHT
/lib/modules/%{kversion}/kernel/drivers/net/wireless/madwifi/*

%files -n kernel-smp-%{name}
%defattr(-,root,root)
%doc README COPYRIGHT
/lib/modules/%{kversion}smp/kernel/drivers/net/wireless/madwifi/*

%changelog
* Fri Feb 25 2005 Thomas Uphill <uphill@ias.edu>
- updated to 0.9.4.12

* Sun Sep 05 2004 Josko Plazonic <plazonic@math.princeton.edu>
- upgraded to 0.9.3.1

* Tue Jul 13 2004 Thomas Uphill <uphill@math.ias.edu>
- updated to version 0.8.6.1

* Mon May 03 2004 Josko Plazonic <plazonic@math.princeton.edu>
- updated to version 0.8.5.4

* Tue Jul 08 2003 Thomas Uphill <uphill@ias.edu>
- Initial version
